# Payments

Use payments to process payments, for example, automate recurring payments, manage overpayments, and create refunds.
For more information about payments, see Payments.

 - [GET /v1/payments](https://developer.zuora.com/v1-api-reference/api/payments/get_retrieveallpayments.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/payments](https://developer.zuora.com/v1-api-reference/api/payments/post_createpayment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/payments/{paymentKey}](https://developer.zuora.com/v1-api-reference/api/payments/put_updatepayment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [DELETE /v1/payments/{paymentKey}](https://developer.zuora.com/v1-api-reference/api/payments/delete_payment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/payments/{paymentKey}](https://developer.zuora.com/v1-api-reference/api/payments/get_payment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/payments/{paymentKey}/apply](https://developer.zuora.com/v1-api-reference/api/payments/put_applypayment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/payments/{paymentKey}/cancel](https://developer.zuora.com/v1-api-reference/api/payments/put_cancelpayment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/payments/{paymentKey}/parts](https://developer.zuora.com/v1-api-reference/api/payments/get_paymentparts.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/payments/{paymentKey}/parts/{partid}](https://developer.zuora.com/v1-api-reference/api/payments/get_paymentpart.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/payments/{paymentKey}/parts/{partid}/item-parts](https://developer.zuora.com/v1-api-reference/api/payments/get_paymentitemparts.md): **Note:** This operation is only available if you have the [Invoice Item Settlement](https://docs.zuora.com?resourceId=billing-invoice-item-settlement) feature enabled. Invoice Item Settlement must be
 - [GET /v1/payments/{paymentKey}/parts/{partid}/item-parts/{itempartid}](https://developer.zuora.com/v1-api-reference/api/payments/get_paymentitempart.md): **Note:** This operation is only available if you have the [Invoice Item Settlement](https://docs.zuora.com?resourceId=billing-invoice-item-settlement) feature enabled. Invoice Item Settlement must be
 - [POST /v1/payments/{paymentKey}/refunds](https://developer.zuora.com/v1-api-reference/api/payments/post_refundpayment.md): **Note:** This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature incl
 - [POST /v1/payments/{paymentKey}/refunds/unapply](https://developer.zuora.com/v1-api-reference/api/payments/post_refundpaymentwithautounapply.md): **Note:** This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature incl
 - [PUT /v1/payments/{paymentKey}/transfer](https://developer.zuora.com/v1-api-reference/api/payments/put_transferpayment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/payments/{paymentKey}/unapply](https://developer.zuora.com/v1-api-reference/api/payments/put_unapplypayment.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
